Overview
Welcome to the API documentation. We provide a complete REST and WebSocket API to meet your trading needs.
API Learning Resources and Technical Support
Create My API KEY
Please create it on the official website or app.
Live Trading
The live trading API address is as follows:
- REST:https://api-v2.uzx.com
- WebSocket Public Channel: wss://stream.uzx.com
- WebSocket Private Channel: wss://stream.uzx.com
Market Maker Application
REST API
Request Authentication
Generating API Keys
Before signing any requests, you must create an API key through the trading platform. Upon creation, you will receive three essential credentials that must be securely stored:
- API Key
- Secret Key
- Passphrase
The API Key and Secret Key are randomly generated by the platform, while the Passphrase is user-defined for enhanced API security. The platform stores only the hashed version of your Passphrase for authentication purposes. Please note:
- The Passphrase cannot be recovered if forgotten
- You must generate a new API key if the Passphrase is lost
- All three credentials are required for API authentication
Making Requests
Order Placement Code Examples
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostOrder(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/spot/order";
String body = "{\"product_name\":\"BTC-USDT\",\"order_type\":2,\"price\":\"103000\",\"amount\":\"1000\",\"order_buy_or_sell\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostOrder();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_order():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/spot/order"
body = {
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_order()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostOrder() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/spot/order"
body := `{"product_name":"BTC-USDT","order_type":2,"price":"103000","amount":"1000","order_buy_or_sell":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostOrder()
}
All REST API private requests must include the following headers:
Header Parameters:
| Header Name | Type | Required | Description |
|---|---|---|---|
| UZX-ACCESS-KEY | string | Yes | Your API Key credential |
| UZX-ACCESS-SIGN | string | Yes | Base64-encoded HMAC SHA256 signature (see Signing section for details) |
| UZX-ACCESS-TIMESTAMP | string | Yes | Unix epoch timestamp in seconds (e.g., 1675665900) |
| UZX-ACCESS-PASSPHRASE | string | Yes | The passphrase you specified when creating the API key |
Request Signing
Signature Generation Examples
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.codec.digest.HmacAlgorithms;
import org.apache.commons.codec.digest.HmacUtils;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.Validate;
import java.io.UnsupportedEncodingException;
public class OpenAPiUtils {
public static final String GET = "GET";
public static final String POST = "POST";
public static final String DELETE = "DELETE";
public static String generate(final String timestamp, String method, final String requestPath,
String queryString, String body, final String secret, final HmacAlgorithmEnum alg) {
body = StringUtils.defaultIfBlank(body, StringUtils.EMPTY);
queryString = StringUtils.isEmpty(queryString) ? "" : "?" + queryString;
final String preHash = timestamp + method + requestPath + queryString + body;
return encodeBase64(alg, secret, preHash);
}
public static String encodeBase64(final HmacAlgorithmEnum alg, final String secret, final String data) {
Validate.notNull(alg, "SignatureAlgorithm cannot be null.");
Validate.notNull(data, "Signing Secret cannot be null.");
switch (alg) {
case HMAC_MD5:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_MD5, secret).hmac(data));
case HMAC_SHA_1:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_1, secret).hmac(data));
case HMAC_SHA_224:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_224, secret).hmac(data));
case HMAC_SHA_256:
try {
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_256,
secret.getBytes("UTF-8")).hmac(data.getBytes("UTF-8")));
} catch (UnsupportedEncodingException e) {
throw new RuntimeException(e.getMessage());
}
case HMAC_SHA_384:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_384, secret).hmac(data));
case HMAC_SHA_512:
return Base64.encodeBase64String(new HmacUtils(HmacAlgorithms.HMAC_SHA_512, secret).hmac(data));
default:
throw new IllegalArgumentException("The '" + alg.name() + "' algorithm cannot be used for signing.");
}
}
}
import hmac
import hashlib
import base64
def generate_signature(timestamp, method, request_path, query_string, body, secret):
method = method.upper()
query_string = '?' + query_string if query_string else ''
body = body if body else ''
pre_hash = f"{timestamp}{method}{request_path}{query_string}{body}"
signature = hmac.new(
secret.encode('utf-8'),
pre_hash.encode('utf-8'),
hashlib.sha256
).digest()
return base64.b64encode(signature).decode('utf-8')
package main
import (
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"strings"
)
func GenerateSignature(timestamp, method, requestPath, queryString, body, secret string) string {
method = strings.ToUpper(method)
if queryString != "" {
queryString = "?" + queryString
}
preHash := timestamp + method + requestPath + queryString + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
signature := base64.StdEncoding.EncodeToString(mac.Sum(nil))
return signature
}
function generateSignature($timestamp, $method, $requestPath, $queryString, $body, $secret) {
$method = strtoupper($method);
$queryString = $queryString ? '?' . $queryString : '';
$body = $body ?: '';
$preHash = $timestamp . $method . $requestPath . $queryString . $body;
$hash = hash_hmac('sha256', $preHash, $secret, true);
return base64_encode($hash);
}
const crypto = require('crypto');
function generateSignature(timestamp, method, requestPath, queryString, body, secret) {
method = method.toUpperCase();
queryString = queryString ? '?' + queryString : '';
body = body || '';
const preHash = `${timestamp}${method}${requestPath}${queryString}${body}`;
const hmac = crypto.createHmac('sha256', secret);
hmac.update(preHash);
return hmac.digest('base64');
}
The UZX-ACCESS-SIGN header is generated by applying HMAC SHA256 encryption followed by Base64 encoding to the concatenated string of timestamp + method + requestPath + body and the SecretKey.
Example:
sign=CryptoJS.enc.Base64.stringify(CryptoJS.HmacSHA256(timestamp + 'GET' + '/v2/trade/history/positions?product_name=BTCUSDT&ins_type=SWAP', SecretKey))
Where:
- timestamp must match the value in the UZX-ACCESS-TIMESTAMP header (Unix timestamp format, e.g., 1675665900)
- method is the HTTP request method in uppercase (e.g., GET/POST)
- requestPath is the API endpoint path (e.g., /v2/trade/history/positions)
- body is the request payload string (omitted for GET requests). Example: {"instId":"BTC-USDT","lever":"5","mgnMode":"isolated"}
The SecretKey is generated when applying for an API key (e.g., 22582BD0CFF14C41EDBF1AB98506286D).
Enumerations
Order & Position Enums
Margin Mode (mgn_mode)
| Value | Type | Description |
|---|---|---|
| 1 | int | Isolated |
| 2 | int | Cross |
Order Mode (order_mode)
| Value | Type | Description |
|---|---|---|
| 1 | int | Normal order |
| 2 | int | Liquidation takeover order |
| 4 | int | ADL auto-reduction |
| 7 | int | One-click close order |
Order Direction (order_buy_or_sell)
| Value | Type | Description |
|---|---|---|
| 1 | int | Buy |
| 2 | int | Sell |
Position Side (pos_side)
| Value | Type | Description |
|---|---|---|
| LG | string | Long |
| ST | string | Short |
Order Type (order_type)
| Value | Type | Description |
|---|---|---|
| 1 | int | Market order |
| 2 | int | Limit GTC (normal limit) |
| 3 | int | Limit IOC (advanced) |
| 4 | int | Limit FOK (advanced) |
| 5 | int | LimitMaker (advanced) |
| 9 | int | One-click close |
Position Operation (pos_opt)
| Value | Type | Description |
|---|---|---|
| 1 | int | Open position |
| 2 | int | Close position |
| 3 | int | Liquidation takeover |
| 5 | int | ADL auto-reduction |
Order Status (status)
| Value | Type | Description |
|---|---|---|
| 0 | int | Pending |
| 1 | int | Partially filled |
| 2 | int | Partially canceled |
| 3 | int | Canceled |
| 4 | int | Fully filled |
Position Mode (pos_mode)
| Value | Type | Description |
|---|---|---|
| 1 | int | Dual-side |
| 2 | int | Single-side |
Role (role)
| Value | Type | Description |
|---|---|---|
| 1 | string | Taker |
| 2 | string | Maker |
Position Status (status)
| Value | Type | Description |
|---|---|---|
| 1 | int | Active |
| 2 | int | Closed |
| 3 | int | Liquidated |
Strategy Orders Enums
Stop Order Type (stop_pos_type)
| Value | Type | Description |
|---|---|---|
| 1 | int | Partial position |
| 2 | int | Full position |
Take Profit Type (tp_price_type)
| Value | Type | Description |
|---|---|---|
| 1 | int | Market |
| 2 | int | Limit |
Trigger Methods
tp_price_compare: Take-Profit Trigger Price Typesl_price_compare: Stop-Loss Trigger Price Typeplan_price_compare: Planned Order Trigger Price Typetrial_compare: Trailing Stop Activation Price Type
| Value | Type | Description |
|---|---|---|
| 1 | int | Index Price |
| 2 | int | Mark Price |
| 3 | int | Last Traded Price |
Trailing Stop-Loss and Take-Profit Callback Type (trial_type)
| Value | Type | Description |
|---|---|---|
| 1 | int | Percentage (for Trailing Stop-Loss and Take-Profit) / Market Order (for Planned Orders) |
| 2 | int | Distance (for Trailing Stop-Loss and Take-Profit) / Limit Order (for Planned Orders) |
Trigger Type (fin_trigger_type)
| Value | Type | Description |
|---|---|---|
| 1 | int | Take profit |
| 2 | int | Stop loss |
Strategy Order Status (status)
| Value | Type | Description |
|---|---|---|
| 3 | int | Canceled |
| 100 | int | Pending activation |
| 101 | int | Pending trigger |
| 102 | int | Triggered |
| 103 | int | Trigger failed |
Currency Configuration Enums
Currency Status (status)
| Value | Type | Description |
|---|---|---|
| 0 | int | Disabled |
| 1 | int | Enabled |
Spot Trading Pairs Enums
Spot Product Status (status)
| Value | Type | Description |
|---|---|---|
| 1 | int | Pre-open |
| 2 | int | Active |
| 3 | int | Trading suspended |
Perpetual Contract Pairs Enums
Contract Product Status (status)
| Value | Type | Description |
|---|---|---|
| 1 | int | Active |
| 2 | int | Trading suspended |
Funding Account Enums
Transfer Direction (trade_direction)
| Value | Type | Description |
|---|---|---|
| 1 | int | Income |
| 2 | int | Expense |
Bill Main Types (bill_type)
| Value | Type | Description |
|---|---|---|
| 1 | int | Deposit |
| 2 | int | Withdrawal |
| 3 | int | Transfer In |
| 4 | int | Transfer Out |
| 5 | int | Internal Transfer |
| 6 | int | Airdrop |
Trading Account Enums
Transfer Direction (trade_direction)
| Value | Type | Description |
|---|---|---|
| 1 | int | Income |
| 2 | int | Expense |
Bill Main Types (bill_type)
| Value | Type | Description |
|---|---|---|
| 1 | int | Trade |
| 2 | int | Liquidation |
| 3 | int | Margin Transfer |
| 4 | int | Funding Fee |
| 5 | int | ADL (Auto-Deleveraging) |
| 6 | int | Transfer |
| 7 | int | Rebate Expense |
| 8 | int | Rebate Refund |
| 9 | int | Trial Funds |
| 10 | int | Risk Fund |
| 11 | int | Funding Payment |
Bill Sub Types (sub_bill_type)
| Value | Type | Description |
|---|---|---|
| 1 | int | Freeze |
| 2 | int | Unfreeze |
| 3 | int | Buy |
| 4 | int | Sell |
| 5 | int | Fee |
| 6 | int | Open Long |
| 7 | int | Open Short |
| 8 | int | Close Long |
| 9 | int | Close Short |
| 10 | int | Reduce Long |
| 11 | int | Reduce Short |
| 12 | int | Manual Margin Increase |
| 13 | int | Manual Margin Decrease |
| 14 | int | Auto Margin Increase |
| 15 | int | Funding Fee Expense |
| 16 | int | Funding Fee Income |
| 17 | int | Transfer In |
| 18 | int | Transfer Out |
Market Data Enums
Event Type (event)
| Value | Type | Description |
|---|---|---|
| sub | string | Subscribe |
| unsub | string | Unsubscribe |
| req | string | Data request |
Business Type (params.biz)
| Value | Type | Description |
|---|---|---|
| spot | string | Spot |
| swap | string | Contract |
Channel Names (params.type)
- Spot Channels
| Value | Type | Description |
|---|---|---|
| spot.candles | string | Spot candlesticks |
| spot.orderbook | string | Spot order book |
| spot.percent10 | string | Spot order book (top 10%) |
| spot.ticker | string | Spot ticker |
| spot.fills | string | Spot trade details |
| spot.overview | string | Spot market overview |
- Contract Channels
| Value | Type | Description |
|---|---|---|
| swap.candles | string | Contract candlesticks |
| swap.index | string | Contract index candlesticks |
| swap.tag | string | Contract mark candlesticks |
| swap.orderbook | string | Contract order book |
| swap.percent10 | string | Contract order book (top 10%) |
| swap.ticker | string | Contract ticker |
| swap.fills | string | Contract trade details |
| swap.overview | string | Contract market overview |
Time Intervals (params.interval)
| Value | Type | Description |
|---|---|---|
| 1min | string | 1 minute |
| 5min | string | 5 minutes |
| 15min | string | 15 minutes |
| 30min | string | 30 minutes |
| 60min | string | 60 minutes |
| 1day | string | 1 day |
| 1week | string | 1 week |
| 1mon | string | 1 month |
Order Matching
APIs under the Order Matching module require authentication.
Place Spot Order
Rate Limit: 3 requests per second
HTTP Request
POST /v2/trade/spot/order
Request Parameters
Request Example
{
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostApi(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/spot/order";
String body = "{\"product_name\":\"BTC-USDT\",\"order_type\":2,\"price\":\"103000\",\"amount\":\"1000\",\"order_buy_or_sell\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostApi();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_api():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/spot/order"
body = {
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/spot/order"
body := `{"product_name":"BTC-USDT","order_type":2,"price":"103000","amount":"1000","order_buy_or_sell":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostApi()
}
| Name | Location | Type | Required | Explanation | Description |
|---|---|---|---|---|---|
| body | body | object | No | ||
| » product_name | body | string | Yes | Product name | |
| » order_type | body | integer | Yes | Order type | See enumeration |
| » price | body | string | Yes | Price | |
| » amount | body | string | Yes | Order quantity | |
| » order_buy_or_sell | body | integer | Yes | Buy or sell direction | 1 for buy, 2 for sell |
| » trade_ccy | body | integer | Yes | Unit for market order | 1 for trading currency, 2 for quoted currency |
| » attach_algo | body | array[object] | No | Take-profit and stop-loss information | |
| »» tp_trigger_price | body | string | Yes | Take-profit trigger price | |
| »» tp_ord_price | body | string | Yes | Take-profit order price | -1 for market price, >0 for normal limit price |
| »» tp_ord_kind | body | string | Yes | Take-profit order type | 1 for trigger order/conditional order, 2 for limit order |
| »» sl_trigger_price | body | string | Yes | Stop-loss trigger price | |
| »» sl_ord_price | body | string | Yes | Stop-loss order price | -1 for market price, >0 for normal limit price |
Response Parameters
Response Example
{
"code": 200,
"msg": "success",
"data": {
"order_id": "2508810000100425939"
}
}
| Name | Type | Explanation | Description |
|---|---|---|---|
| » code | integer | Status code | |
| » msg | string | Description | |
| » data | object | Data | |
| »» order_id | string | Order identifier |
Spot Batch Order Placement
Rate Limit: 3 requests per second
HTTP Request
POST /v2/trade/spot/batch-orders
Request Parameters
Request Example
[
{
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
]
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostApi(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/spot/batch-orders";
String body = "[{\"product_name\":\"BTC-USDT\",\"order_type\":2,\"price\":\"103000\",\"amount\":\"1000\",\"order_buy_or_sell\":1}]";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostApi();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_api():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/spot/batch-orders"
body = [
{
"product_name": "BTC-USDT",
"order_type": 2,
"price": "103000",
"amount": "1000",
"order_buy_or_sell": 1
}
]
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/spot/batch-orders"
body := `[{"product_name":"BTC-USDT","order_type":2,"price":"103000","amount":"1000","order_buy_or_sell":1}]`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostApi()
}
| Name | Location | Type | Required | Explanation | Description |
|---|---|---|---|---|---|
| body | body | array[object] | No | Array of orders | |
| » product_name | body | string | Yes | Product name | |
| » order_type | body | integer | Yes | Order type | See enumeration |
| » price | body | string | Yes | Price | |
| » amount | body | string | Yes | Order quantity | |
| » order_buy_or_sell | body | integer | Yes | Buy or sell direction | 1 for buy, 2 for sell |
| » trade_ccy | body | integer | Yes | Unit for market order | 1 for trading currency, 2 for quoted currency |
| » attach_algo | body | array[object] | No | Take-profit and stop-loss information | |
| »» tp_trigger_price | body | string | Yes | Take-profit trigger price | |
| »» tp_ord_price | body | string | Yes | Take-profit order price | -1 for market price, >0 for normal limit price |
| »» tp_ord_kind | body | string | Yes | Take-profit order type | 1 for trigger order/conditional order, 2 for limit order |
| »» sl_trigger_price | body | string | Yes | Stop-loss trigger price | |
| »» sl_ord_price | body | string | Yes | Stop-loss order price | -1 for market price, >0 for normal limit price |
Response Parameters
Response Example
{
"code": 200,
"msg": "success",
"data": [
{
"code": 200,
"order_id": "2509820413501205367"
}
]
}
| Name | Type | Description |
|---|---|---|
| » code | integer | Status code |
| » msg | string | Description message |
| » data | array[object] | Data array |
| »» code | integer | Status subcode |
| »» order_id | string | Order identifier |
Place Swap Order
Rate Limit: 3 requests per second
HTTP Request
POST /v2/trade/swap/order
Request Parameters
Request Example
{
"product_name": "BTCUSDT",
"order_type": 2,
"number": 1,
"price": "107000",
"amount": "1",
"trade_ccy": 1,
"pos_side": "LG",
"order_buy_or_sell": 1
}
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostApi(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/swap/order";
String body = "{\"product_name\":\"BTCUSDT\",\"order_type\":2,\"number\":1,\"price\":\"107000\",\"amount\":\"1\",\"trade_ccy\":1,\"pos_side\":\"LG\",\"order_buy_or_sell\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostApi();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_api():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/swap/order"
body = {
"product_name": "BTCUSDT",
"order_type": 2,
"number": 1,
"price": "107000",
"amount": "1",
"trade_ccy": 1,
"pos_side": "LG",
"order_buy_or_sell": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/swap/order"
body := `{"product_name":"BTCUSDT","order_type":2,"number":1,"price":"107000","amount":"1","trade_ccy":1,"pos_side":"LG","order_buy_or_sell":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostApi()
}
| Name | Location | Type | Required | Explanation | Description |
|---|---|---|---|---|---|
| body | body | object | No | ||
| » product_name | body | string | Yes | Product name | |
| » order_type | body | integer | Yes | Order type | See enumeration |
| » number | body | integer | Yes | Contract quantity | |
| » price | body | string | Yes | Price | |
| » amount | body | string | No | Market order amount | |
| » trade_ccy | body | integer | No | Unit for market order | 1 for contract quantity, 2 for quoted currency |
| » pos_side | body | string | Yes | Position direction | LG for long, ST for short |
| » order_buy_or_sell | body | integer | Yes | Buy or sell direction | 1 for buy, 2 for sell |
| » attach_algo | body | array[object] | No | Take-profit and stop-loss information | |
| »» tp_trigger_price | body | string | Yes | Take-profit trigger price | |
| »» tp_ord_price | body | string | Yes | Take-profit order price | -1 for market order, >0 for normal limit price |
| »» tp_ord_kind | body | integer | Yes | Take-profit order type | 1 for trigger order/conditional order, 2 for limit order |
| »» tp_compare | body | integer | Yes | Take-profit trigger price comparison | 1: Index price, 2: Mark price, 3: Last traded price |
| »» sl_trigger_price | body | string | Yes | Stop-loss trigger price | |
| »» sl_ord_price | body | string | Yes | Stop-loss order price | -1 for market order, >0 for normal limit price |
| »» sl_compare | body | integer | Yes | Stop-loss trigger price comparison | 1: Index price, 2: Mark price, 3: Last traded price |
Response Parameters
Response Example
{
"code": 200,
"msg": "success",
"data": {
"order_id": "2517820683201827363"
}
}
| Name | Type | Explanation | Description |
|---|---|---|---|
| » code | integer | Status code | |
| » msg | string | Description | |
| » data | object | Data | |
| »» order_id | string | Order identifier |
Swap Batch Order Placement
Rate Limit: 3 requests per second
HTTP Request
POST /v2/trade/swap/batch-orders
Request Parameters
Request Example
[
{
"product_name": "BTCUSDT",
"order_type": 2,
"number": 1,
"price": "102001",
"amount": "316.89",
"pos_side": "LG",
"order_buy_or_sell": 1
}
]
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.rometools.utils.Strings;
import com.createsgin.HmacAlgorithmEnum;
public class TestCase {
public static String host="https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public static void testPostApi(){
String timestamp = System.currentTimeMillis()/1000 +"";
String method = "POST";
String requestPath = "/v2/trade/swap/batch-orders";
String body = "[{\"product_name\":\"BTCUSDT\",\"order_type\":2,\"number\":1,\"price\":\"102001\",\"amount\":\"316.89\",\"pos_side\":\"LG\",\"order_buy_or_sell\":1}]";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = OpenAPiUtils.generate(timestamp,method,requestPath,null,body,UZXACCESSSECRET2,HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
HttpResponse resp = HttpUtil.createPost(host+requestPath ).body(body)
.header("UZX-ACCESS-KEY",UZXACCESSKEY2)
.header("UZX-ACCESS-SIGN",signature)
.header("UZX-ACCESS-TIMESTAMP",timestamp)
.header("UZX-ACCESS-PASSPHRASE",UZXACCESSPASSPHRASE2).execute();
System.out.println(resp.body());
}
public static void main(String[] args) {
testPostApi();
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_post_api():
timestamp = str(int(time.time()))
method = "POST"
path = "/v2/trade/swap/batch-orders"
body = [
{
"product_name": "BTCUSDT",
"order_type": 2,
"number": 1,
"price": "102001",
"amount": "316.89",
"pos_side": "LG",
"order_buy_or_sell": 1
}
]
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.post(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_post_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPostApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "POST"
path := "/v2/trade/swap/batch-orders"
body := `[{"product_name":"BTCUSDT","order_type":2,"number":1,"price":"102001","amount":"316.89","pos_side":"LG","order_buy_or_sell":1}]`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPostApi()
}
| Name | Location | Type | Required | Explanation | Description |
|---|---|---|---|---|---|
| body | body | array[object] | No | Array of orders | |
| » product_name | body | string | Yes | Product name | |
| » order_type | body | integer | Yes | Order type | See enumeration |
| » number | body | integer | Yes | Contract quantity | |
| » price | body | string | Yes | Price | |
| » amount | body | string | No | Market order amount | |
| » trade_ccy | body | integer | No | Unit for market order | 1 for contract quantity, 2 for quoted currency |
| » pos_side | body | string | Yes | Position direction | LG for long, ST for short |
| » order_buy_or_sell | body | integer | Yes | Buy or sell direction | 1 for buy, 2 for sell |
| » attach_algo | body | array[object] | No | Take-profit and stop-loss information | |
| »» tp_trigger_price | body | string | Yes | Take-profit trigger price | |
| »» tp_ord_price | body | string | Yes | Take-profit order price | -1 for market order, >0 for normal limit price |
| »» tp_ord_kind | body | integer | Yes | Take-profit order type | 1 for trigger order/conditional order, 2 for limit order |
| »» tp_compare | body | integer | Yes | Take-profit trigger price comparison | 1: Index price, 2: Mark price, 3: Last traded price |
| »» sl_trigger_price | body | string | Yes | Stop-loss trigger price | |
| »» sl_ord_price | body | string | Yes | Stop-loss order price | -1 for market order, >0 for normal limit price |
| »» sl_compare | body | integer | Yes | Stop-loss trigger price comparison | 1: Index price, 2: Mark price, 3: Last traded price |
Response Parameters
Response Example
{
"code": 200,
"msg": "success",
"data": [
{
"order_id": "2517720561802636780"
},
{
"order_id": "2517720561802636781"
}
]
}
| Name | Type | Description |
|---|---|---|
| » code | integer | Status code |
| » msg | string | Description message |
| » data | array[object] | Data array |
| »» code | integer | Status subcode |
| »» order_id | string | Order identifier |
Close Swap Positions
Rate Limit: 3 requests per second
HTTP Request
PUT /v2/trade/swap/close-position
Request Parameters
Request Example
{
"product_name": "BTCUSDT",
"pos_side": "LG"
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/close-position";
String body = "{\"product_name\":\"BTCUSDT\",\"pos_side\":\"LG\"}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/close-position"
body = {
"product_name": "BTCUSDT",
"pos_side": "LG"
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/close-position"
body := `{"product_name":"BTCUSDT","pos_side":"LG"}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| Name | Location | Type | Required | Description | Description |
|---|---|---|---|---|---|
| body | body | object | No | ||
| » product_name | body | string | Yes | Product name | |
| » pos_side | body | string | Yes | Position direction | LG for long, ST for short |
Response Parameters
Response Example
{
"code": 200,
"msg": "string",
"data": {}
}
| Name | Type | Required | Constraints | Explanation | Description |
|---|---|---|---|---|---|
| code | integer | true | none | Status code | |
| msg | string | true | none | Description | |
| data | object | true | none | Data |
Adjust Swap Position Leverage
Rate Limit: 3 requests per second
HTTP Request
PUT /v2/trade/swap/position/set-leverage
Request Parameters
Request Example
{
"product_name": "BTCUSDT",
"leverage": 10,
"pos_side": "LG",
"mgn_mode": 1
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/position/set-leverage";
String body = "{\"product_name\":\"BTCUSDT\",\"leverage\":10,\"pos_side\":\"LG\",\"mgn_mode\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/position/set-leverage"
body = {
"product_name": "BTCUSDT",
"leverage": 10,
"pos_side": "LG",
"mgn_mode": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/position/set-leverage"
body := `{"product_name":"BTCUSDT","leverage":10,"pos_side":"LG","mgn_mode":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| Name | Location | Type | Required | Description | Description |
|---|---|---|---|---|---|
| body | body | object | No | ||
| » product_name | body | string | Yes | Product name | |
| » leverage | body | integer | Yes | New leverage | |
| » pos_side | body | string | Yes | Position direction | LG for long, ST for short |
| » mgn_mode | body | integer | Yes | Margin mode | 1 for isolated, 2 for cross |
Response Parameters
Response Example
{
"code": 200,
"msg": "string",
"data": {}
}
| Name | Type | Required | Explanation | Description |
|---|---|---|---|---|
| code | integer | true | Status code | |
| msg | string | true | Description | |
| data | object | false | Response payload |
Adjust Swap Position Margin
Rate Limit: 3 requests per second
HTTP Request
PUT /v2/trade/swap/position/margin-balance
Request Parameters
Request Example
{
"product_name": "BTCUSDT",
"type": "add",
"pos_side": "LG",
"amount": "1"
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/position/margin-balance";
String body = "{\"product_name\":\"BTCUSDT\",\"type\":\"add\",\"pos_side\":\"LG\",\"amount\":\"1\"}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/position/margin-balance"
body = {
"product_name": "BTCUSDT",
"type": "add",
"pos_side": "LG",
"amount": "1"
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/position/margin-balance"
body := `{"product_name":"BTCUSDT","type":"add","pos_side":"LG","amount":"1"}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| Name | Location | Type | Required | Description | Description |
|---|---|---|---|---|---|
| body | body | object | No | ||
| » product_name | body | string | Yes | Product name | |
| » type | body | string | Yes | Type | add for increase, reduce for decrease |
| » amount | body | string | Yes | Margin amount | |
| » pos_side | body | string | Yes | Position direction | LG for long, ST for short |
Response Parameters
Response Example
{
"code": 200,
"msg": "string",
"data": {}
}
| Name | Type | Required | Explanation | Description |
|---|---|---|---|---|
| code | integer | true | Status code | |
| msg | string | true | Description | |
| data | object | false | Response payload |
Modify Swap User Leverage Configuration
Rate Limit: 3 requests per second
HTTP Request
PUT /v2/trade/swap/config/set-leverage
Request Parameters
Note:
- If pos_mode is 1, both long_leverage and short_leverage must be provided.
- If pos_mode is 2, one_way_leverage must be provided.
Request Example
{
"product_name": "BTCUSDT",
"long_leverage": 5,
"short_leverage": 5,
"one_way_leverage": 5,
"pos_mode": 1,
"mgn_mode": 1
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/config/set-leverage";
String body = "{\"product_name\":\"BTCUSDT\",\"long_leverage\":5,\"short_leverage\":5,\"one_way_leverage\":5,\"pos_mode\":1,\"mgn_mode\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/config/set-leverage"
body = {
"product_name": "BTCUSDT",
"long_leverage": 5,
"short_leverage": 5,
"one_way_leverage": 5,
"pos_mode": 1,
"mgn_mode": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/config/set-leverage"
body := `{"product_name":"BTCUSDT","long_leverage":5,"short_leverage":5,"one_way_leverage":5,"pos_mode":1,"mgn_mode":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| Name | Location | Type | Required | Description | Description |
|---|---|---|---|---|---|
| body | body | object | No | ||
| » product_name | body | string | Yes | Product name | |
| » long_leverage | body | integer | Yes | Long position leverage | Required if pos_mode is 1 |
| » short_leverage | body | integer | Yes | Short position leverage | Required if pos_mode is 1 |
| » one_way_leverage | body | integer | Yes | One-way position leverage | Required if pos_mode is 2 |
| » pos_mode | body | integer | Yes | Position mode | 1 for two-way, 2 for one-way |
| » mgn_mode | body | integer | Yes | Margin mode | 1 for isolated, 2 for cross |
Response Parameters
Response Example
{
"code": 200,
"msg": "string",
"data": {}
}
| Name | Type | Required | Explanation | Description |
|---|---|---|---|---|
| code | integer | true | Status code | |
| msg | string | true | Description | |
| data | object | false | Response payload |
Modify Swap User Margin Mode
Rate Limit: 3 requests per second
HTTP Request
PUT /v2/trade/swap/config/set-mgn
Request Parameters
Request Example
{
"product_name": "BTCUSDT",
"mgn_mode": 1
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/config/set-mgn";
String body = "{\"product_name\":\"BTCUSDT\",\"mgn_mode\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/config/set-mgn"
body = {
"product_name": "BTCUSDT",
"mgn_mode": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/config/set-mgn"
body := `{"product_name":"BTCUSDT","mgn_mode":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| Name | Location | Type | Required | Description | Description |
|---|---|---|---|---|---|
| body | body | object | No | ||
| » product_name | body | string | Yes | Product name | |
| » mgn_mode | body | integer | Yes | Margin mode | 1 for isolated, 2 for cross |
Response Parameters
Response Example
{
"code": 200,
"msg": "string",
"data": {}
}
| Name | Type | Required | Explanation | Description |
|---|---|---|---|---|
| code | integer | true | Status code | |
| msg | string | true | Description | |
| data | object | false | Response payload |
Modify Swap User Position Mode
Rate Limit: 3 requests per second
HTTP Request
PUT /v2/trade/swap/config/set-pos-mod
Request Parameters
Request Example
{
"pos_mode": 1
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/swap/config/set-pos-mod";
String body = "{\"pos_mode\":1}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/swap/config/set-pos-mod"
body = {
"pos_mode": 1
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/swap/config/set-pos-mod"
body := `{"pos_mode":1}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| Name | Location | Type | Required | Description | Description |
|---|---|---|---|---|---|
| body | body | object | No | ||
| » pos_mode | body | integer | Yes | Position mode | 1 for two-way, 2 for one-way |
Response Parameters
Response Example
{
"code": 200,
"msg": "string",
"data": {}
}
| Name | Type | Required | Explanation | Description |
|---|---|---|---|---|
| code | integer | true | Status code | |
| msg | string | true | Description | |
| data | object | false | Response payload |
Cancel Order
Rate Limit: 3 times/second
HTTP Request
PUT /v2/trade/cancel-order
Request Parameters
Request Example
{
"inst_type": 1,
"cancel_ord_type": 1,
"order_id": "2509820413501205367"
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/cancel-order";
String body = "{\"inst_type\":1,\"cancel_ord_type\":1,\"order_id\":\"2509820413501205367\"}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/cancel-order"
body = {
"inst_type": 1,
"cancel_ord_type": 1,
"order_id": "2509820413501205367"
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/cancel-order"
body := `{"inst_type":1,"cancel_ord_type":1,"order_id":"2509820413501205367"}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| Name | Position | Type | Required | Description | Notes |
|---|---|---|---|---|---|
| body | body | object | No | None | None |
| » inst_type | body | integer | Yes | Business Type | 1: Spot, 2: Swap |
| » cancel_ord_type | body | integer | Yes | Order Cancellation Type | 1: Limit/Advanced Limit Order, 2: Take Profit/Stop Loss Order, 3: Scheduled Order, 4: Trailing Take Profit/Stop Loss Order |
| » order_id | body | string | Yes | Order ID | None |
Response Parameters
Response Example
{
"code": 200,
"msg": "string",
"data": {}
}
| Name | Type | Required | Explanation | Description |
|---|---|---|---|---|
| code | integer | true | Status code | |
| msg | string | true | Description | |
| data | object | false | Response payload |
Cancel Batch Orders
Rate Limit: 3 times/second
HTTP Request
PUT /v2/trade/cancel-batch-order
Request Parameters
Request Example
{
"inst_type": 1,
"cancel_ord_type": 1,
"order_ids": [
"2509820413501205367",
"2509820413501205368"
]
}
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.nio.charset.StandardCharsets;
import java.util.Base64;
public class TestCase {
public static String host = "https://api-v2.uzx.com";
public static String UZXACCESSKEY2 = "{APIKey}";
public static String UZXACCESSSECRET2 = "{SecretKey}";
public static String UZXACCESSPASSPHRASE2 = "{Passphrase}";
public enum HmacAlgorithmEnum {
HMAC_SHA_256("HmacSHA256"),
HMAC_SHA_512("HmacSHA512");
private final String algorithmName;
HmacAlgorithmEnum(String algorithmName) {
this.algorithmName = algorithmName;
}
public String getAlgorithmName() {
return algorithmName;
}
}
public static String generate(String timestamp, String method, String requestPath,
String queryString, String body, String secret,
HmacAlgorithmEnum algorithm) throws Exception {
String data = timestamp + method + requestPath + (queryString != null ? queryString : "") + body;
Mac mac = Mac.getInstance(algorithm.getAlgorithmName());
SecretKeySpec secretKeySpec = new SecretKeySpec(secret.getBytes(StandardCharsets.UTF_8), algorithm.getAlgorithmName());
mac.init(secretKeySpec);
byte[] hash = mac.doFinal(data.getBytes(StandardCharsets.UTF_8));
return Base64.getEncoder().encodeToString(hash);
}
public static void testPutApi() throws Exception {
String timestamp = System.currentTimeMillis() / 1000 + "";
String method = "PUT";
String requestPath = "/v2/trade/cancel-batch-order";
String body = "{\"inst_type\":1,\"cancel_ord_type\":1,\"order_ids\":[\"2509820413501205367\",\"2509820413501205368\"]}";
String data = timestamp + method + requestPath + body;
System.out.println(data);
String signature = generate(timestamp, method, requestPath, null, body, UZXACCESSSECRET2, HmacAlgorithmEnum.HMAC_SHA_256);
System.out.println(signature);
URL url = new URL(host + requestPath);
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("PUT");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("UZX-ACCESS-KEY", UZXACCESSKEY2);
conn.setRequestProperty("UZX-ACCESS-SIGN", signature);
conn.setRequestProperty("UZX-ACCESS-TIMESTAMP", timestamp);
conn.setRequestProperty("UZX-ACCESS-PASSPHRASE", UZXACCESSPASSPHRASE2);
conn.setDoOutput(true);
try (OutputStream os = conn.getOutputStream()) {
byte[] input = body.getBytes(StandardCharsets.UTF_8);
os.write(input, 0, input.length);
}
try (BufferedReader br = new BufferedReader(
new InputStreamReader(conn.getInputStream(), StandardCharsets.UTF_8))) {
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
public static void main(String[] args) {
try {
testPutApi();
} catch (Exception e) {
e.printStackTrace();
}
}
}
import time
import hmac
import hashlib
import base64
import requests
import json
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
def generate_signature(timestamp, method, path, query, body, secret):
query = '?' + query if query else ''
body = body if body else ''
prehash = f"{timestamp}{method.upper()}{path}{query}{body}"
signature = hmac.new(secret.encode(), prehash.encode(), hashlib.sha256).digest()
return base64.b64encode(signature).decode()
def test_put_api():
timestamp = str(int(time.time()))
method = "PUT"
path = "/v2/trade/cancel-batch-order"
body = {
"inst_type": 1,
"cancel_ord_type": 1,
"order_ids": [
"2509820413501205367",
"2509820413501205368"
]
}
body_str = json.dumps(body, separators=(',', ':'))
signature = generate_signature(timestamp, method, path, None, body_str, SecretKey)
headers = {
"UZX-ACCESS-KEY": APIKey,
"UZX-ACCESS-SIGN": signature,
"UZX-ACCESS-TIMESTAMP": timestamp,
"UZX-ACCESS-PASSPHRASE": Passphrase,
"Content-Type": "application/json"
}
resp = requests.put(host + path, headers=headers, data=body_str)
print(resp.status_code, resp.text)
test_put_api()
package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/base64"
"fmt"
"net/http"
"time"
"strings"
"io/ioutil"
)
const (
host = "https://api-v2.uzx.com"
APIKey = "{APIKey}"
SecretKey = "{SecretKey}"
Passphrase = "{Passphrase}"
)
func generateSignature(timestamp, method, path, query, body, secret string) string {
if query != "" {
query = "?" + query
}
preHash := timestamp + strings.ToUpper(method) + path + query + body
mac := hmac.New(sha256.New, []byte(secret))
mac.Write([]byte(preHash))
return base64.StdEncoding.EncodeToString(mac.Sum(nil))
}
func testPutApi() {
timestamp := fmt.Sprintf("%d", time.Now().Unix())
method := "PUT"
path := "/v2/trade/cancel-batch-order"
body := `{"inst_type":1,"cancel_ord_type":1,"order_ids":["2509820413501205367","2509820413501205368"]}`
signature := generateSignature(timestamp, method, path, "", body, SecretKey)
req, err := http.NewRequest(method, host+path, bytes.NewBuffer([]byte(body)))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("UZX-ACCESS-KEY", APIKey)
req.Header.Set("UZX-ACCESS-SIGN", signature)
req.Header.Set("UZX-ACCESS-TIMESTAMP", timestamp)
req.Header.Set("UZX-ACCESS-PASSPHRASE", Passphrase)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
bodyResp, _ := ioutil.ReadAll(resp.Body)
fmt.Println(resp.StatusCode, string(bodyResp))
}
func main() {
testPutApi()
}
| Name | Position | Type | Required | Description | Notes |
|---|---|---|---|---|---|
| body | body | object | No | None | None |
| » inst_type | body | integer | Yes | Business Type | 1: Spot, 2: Swap |
| » cancel_ord_type | body | integer | Yes | Order Cancellation Type | 1: Limit/Advanced Limit Order, 2: Take Profit/Stop Loss Order, 3: Scheduled Order, 4: Trailing Take Profit/Stop Loss Order |
| » order_ids | body | [string] | Yes | List of Order IDs | None |
Response Parameters
Response Example
{
"code": 200,
"msg": "success",
"data": [
{
"code": 200,
"order_id": "2509820413501205367"
},
{
"code": 200,
"order_id": "2509820413501205368"
}
]
}
| Name | Type | Description | Notes |
|---|---|---|---|
| » code | integer | Status Code | none |
| » msg | string | Description Message | none |
| » data | array[object] | Data | none |
| »» code | integer | none | |
| »» order_id | string | none |
Current Orders
Rate Limit: 10 requests per second
HTTP Request
GET /v2/trade/orders
Request Parameters
| Name | Location | Type | Required | Description | Notes |
|---|---|---|---|---|---|
| ins_type | query | string | No | Product type | SPOT - Spot, SWAP - USDT-margined, BASE - Coin-margined |
| product_name | query | string | No | Product name |
Response Parameters
Response Example
{
"code": 200,
"msg": "success",
"data": [
{
"product_name": "BTC-USDT",
"order_id": "2517910362100040465",
"mgn_mode": 0,
"pos_side": "",
"order_mode": 0,
"pos_mode": 0,
"order_type": 2,
"pos_opt": 0,
"leverage": 0,
"order_buy_or_sell": 1,
"number": 0,
"amount": "",
"deal_number": 0,
"lock_base_amount": "0.001",
"lock_quote_amount": "109.52972",
"filled_quote_amount": "0",
"price": "109529.72",
"status": 0,
"avg_price": "0",
"deal_fee": "0",
"income": "0",
"created_at": 1751100684192,
"finish_at": 1751100684208,
"ins_type": "SPOT",
"algo_info": null,
"coin": "USDT",
"un_filled_amount": 0
}
]
}
| Name | Type | Description | Notes |
|---|---|---|---|
| code | integer | Status code | |
| msg | string | Description message | |
| data | array[object] | Array of order data | |
| » product_name | string | Product name | |
| » order_id | string | Order identifier | |
| » mgn_mode | integer | Margin mode | Applicable only to contract business (USDT-margined & coin-margined) |
| » pos_side | string | Position side | Applicable only to contract business (USDT-margined & coin-margined) |
| » order_mode | integer | Order mode | Applicable only to contract business (USDT-margined & coin-margined) |
| » pos_mode | integer | Position mode | Applicable only to contract business (USDT-margined & coin-margined) |
| » order_type | integer | Order type | |
| » pos_opt | integer | Position option | Applicable only to contract business (USDT-margined & coin-margined) |
| » leverage | string | Leverage value | Applicable only to contract business (USDT-margined & coin-margined) |
| » order_buy_or_sell | integer | Trade direction (buy/sell) | |
| » number | string | Contract quantity | Applicable only to contract business (USDT-margined & coin-margined) |
| » amount | string | Order amount | Applicable only to contract business (USDT-margined & coin-margined) |
| » deal_number | string | Filled quantity | Filled base currency amount |
| » lock_base_amount | string | Locked base currency amount | Applicable only to spot business |
| » lock_quote_amount | string | Locked quote currency amount | Applicable only to spot business |
| » filled_quote_amount | string | Filled quote currency amount | Applicable only to spot business |
| » price | string | Order price | |
| » status | integer | Order status | |
| » avg_price | string | Average filled price | |
| » deal_fee | string | Transaction fee | |
| » income | string | Profit/loss | Applicable only to contract business (USDT-margined & coin-margined) |
| » created_at | integer | Creation timestamp | |
| » finish_at | integer | Completion timestamp | |
| » ins_type | string | Instrument type | SPOT - Spot, SWAP - USDT-margined, BASE - Coin-margined |
| » algo_info | string | Algorithmic order details | |
| » coin | string | Quote coin name | |
| » un_filled_amount | string | Remaining quantity | Applicable only to contract business (USDT-margined & coin-margined) |
Historical Orders
Rate Limit: 10 requests per second
HTTP Request
GET /v2/trade/history/orders
Request Parameters
| Name | Location | Type | Required | Description | Notes |
|---|---|---|---|---|---|
| ins_type | query | string | No | Product type | SPOT - Spot, SWAP - USDT-margined, BASE - Coin-margined |
| product_name | query | string | No | Product name | |
| begin | query | integer | No | Start timestamp | Millisecond |
| end | query | integer | No | End timestamp | Millisecond |
| limit | query | integer | No | Number of records | Default 20, max 20 |
Response Parameters
Response Example
{
"code": 200,
"msg": "success",
"data": [
{
"product_name": "BTCUSDT",
"order_id": "2518220520600100009",
"mgn_mode": 1,
"pos_side": "ST",
"order_mode": 1,
"pos_mode": 1,
"order_type": 14,
"pos_opt": 0,
"leverage": 5,
"order_buy_or_sell": 2,
"number": 2,
"amount": "0.00015734",
"deal_number": 0,
"lock_base_amount": "0",
"lock_quote_amount": "0",
"filled_quote_amount": "0",
"price": "107775",
"status": 4,
"avg_price": "0",
"deal_fee": "0",
"income": "0",
"created_at": 1751414400845,
"finish_at": 1751414400876,
"ins_type": "SWAP",
"algo_info": "[]",
"coin": "USDT"
}
]
}
| Name | Type | Description | Notes |
|---|---|---|---|
| code | integer | Status code | |
| msg | string | Description message | |
| data | array[object] | Array of order data | |
| » product_name | string | Product name | |
| » order_id | string | Order identifier | |
| » mgn_mode | integer | Margin mode | Applicable only to contract business (USDT-margined & coin-margined) |
| » pos_side | string | Position side | Applicable only to contract business (USDT-margined & coin-margined) |
| » order_mode | integer | Order mode | Applicable only to contract business (USDT-margined & coin-margined) |
| » pos_mode | integer | Position mode | Applicable only to contract business (USDT-margined & coin-margined) |
| » order_type | integer | Order type | |
| » pos_opt | integer | Position option | Applicable only to contract business (USDT-margined & coin-margined) |
| » leverage | string | Leverage value | Applicable only to contract business (USDT-margined & coin-margined) |
| » order_buy_or_sell | integer | Trade direction (buy/sell) | |
| » number | string | Contract quantity | Applicable only to contract business (USDT-margined & coin-margined) |
| » amount | string | Order amount | |
| » deal_number | string | Filled quantity | Filled base currency amount |
| » lock_base_amount | string | Locked base currency amount | Applicable only to spot business |
| » lock_quote_amount | string | Locked quote currency amount | Applicable only to spot business |
| » filled_quote_amount | string | Filled quote currency amount | Applicable only to spot business |
| » price | string | Order price | |
| » status | integer | Order status | |
| » avg_price | string | Average filled price | |
| » deal_fee | string | Transaction fee | |
| » income | string | Profit/loss | Applicable only to contract business (USDT-margined & coin-margined) |
| » created_at | integer | Creation timestamp | |
| » finish_at | integer | Completion timestamp | |
| » ins_type | string | Instrument type | SPOT - Spot, SWAP - USDT-margined, BASE - Coin-margined |
| » algo_info | string | Algorithmic order details | |
| » coin | string | Quote coin name |
Current Positions
Rate Limit: 10 requests per second
HTTP Request
GET /v2/trade/positions
Request Parameters
| Name | Location | Type | Required | Description | Notes |
|---|---|---|---|---|---|
| ins_type | query | string | No | Product type | SWAP - USDT-margined, BASE - Coin-margined |
| product_name | query | string | No | Product name |
Response Parameters
Response Example
{
"code": 200,
"msg": "success",
"data": [
{
"product_name": "BTCUSDT",
"position_id": "205206000000000017",
"ins_type": "SWAP",
"mgn_mode": 1,
"pos_mode": 1,
"leverage": 5,
"side": "ST",
"hold_position_amount": 2,
"margin": "4.32523068",
"total_fee": "0.012933",
"status": 1,
"force_close_price": "129194.4422923322683706070287539936102236422",
"position_avg_price": "107775",
"deal_avg_price": "0",
"income": "0",
"begin_order_id": "2517920520600050556",
"created_at": 1751101108324,
"updated_at": 1751414400876,
"close_num": 0,
"open_num": 2,
"bankrupt_price": "129323.55926444133519888",
"force_trigger_price": "0",
"adl_num": 0,
"adl_deal_price": "0",
"adl_income": "0",
"funding_fee": "0.00129768"
}
]
}
| Name | Type | Description | Notes |
|---|---|---|---|
| code | integer | Status code | |
| msg | string | Description message | |
| data | array[object] | Array of current positions | |
| » product_name | string | Product name | |
| » position_id | string | Position identifier | |
| » ins_type | string | Product type | SWAP - USDT-margined, BASE - Coin-margined |
| » mgn_mode | integer | Margin mode | |
| » pos_mode | integer | Position mode | |
| » leverage | integer | Leverage multiplier | |
| » side | string | Position direction (long/short) | |
| » hold_position_amount | integer | Current position size | |
| » margin | string | Collateral amount | Modifiable for isolated positions |
| » total_fee | string | Total fees paid | |
| » status | integer | Position state | 1: Open, 2: Closed, 3: Liquidated |
[...]
